{% set PageTitle = "Online Valuation - No Selection" %}

{% extends "opvmaster.html" %}
{% block styles %}
{% endblock %}
{% block main %}

<div class="opv-main" id="opv-master">
    <div class="opv-master theme-cool-grey">
        <div class="opv-master__container container">
          <div class="opv-master__main">
            <div class="opv-master__left-content">
              <div id="opv-top-nav"></div>
              <div id="opv-left-nav"></div>
            
            </div>
            <div class="opv-master__right-content">
                <div id="opv-right-nav"></div>
            </div>
          </div>
        </div>
      </div>
</div>


{% endblock %}
{% block scripts %}
<script>
    //Left-Nav ::::OpvHeaderTitle
    ReactDOM.render(
        React.createElement(Components.OpvHeaderTitle, {
            greetTxt:'Hi, ',
            name: 'John Doe',
            home: {
                html: '<a href="#">Home</a>'
            },
            settings: {
                html: '<a href="#">Settings</a>'
            },
            logout: {
                html: '<a href="#">Logout</a>'
            }
        }),
        document.getElementById("opv-top-nav")
    );
    //Left-Nav ::::OpvOnlineValuationDetails
    ReactDOM.render(React.createElement(Components.OpvOnlineValuationDetails,{
         title: `Your Self Invested Personal Pension`,
        // logoutLink: {
        //   html: `<a href="#">Logout</a>`
        // },
        // settingsLink: {
        //   html: `<a href="#">Settings</a>`
        // },
        backButtonLink: {
          html: `<a href="#">< Back </a>`
        },
        personalDetailsTitle: `Your Details`,
       
        policyNumberLabel: `Policy number:`,
        personNameLabel:`Name:`,
        personAddressLabel:`Address:`,
        policyNumber: `LV123456`,
        personName: `XXXXXXXX`,
        personAddress: `XXX XXXX XXXX XX`,
        investmentTitle: `Schedule of Investments`,
        investmentTotalValue: `Total value:`,
        investmentTotalValueAmount: `£ 39,601.30`,
        subInvestmentTitle: `SIPP Bank Account (Trustee Bank Account)`,
      
        valuationDateTitle: `Valuation Date:`,
        valuationDate: `24/12/2019`,
        currentValueTitle: `Current Value:`,
        currentValue: `£0.00`,
        breakdownTitle: `Breakdown of SIPP Bank Account (Trustee Bank Account)`,
        breakdownMessage: `<p>Unfortunately we are unable to provide bank statements online at this time.</p>
        <p>Please contact our team on XXXXXXXX to request a bank statement</p>`,
        
        isbreakDownAvailable: true,
        //subInvestmentTitle1: `Insured Funds (LV TIP:P88800001)`,
        //valuationDate1: `28/12/2019`,
        //currentValue1: `£24,601.30`,
        //breakdownTitle1: `Breakdown of LV TIP:P88800001`,
        breakDown: [
            { investment: 'BlackRock Gold and General (s2)', numberOfUnits: 1982.039, currentValue: '1,708.92' },
            { investment: 'Fidelity Strategic Bond (s2)', numberOfUnits: 2778.404, currentValue: '4,867.76' },
            { investment: 'Invesco Distribution (UK) (s2)', numberOfUnits: 3086.770, currentValue: '7,281.69' },
            { investment: 'M&G Corporate Bond (s2)', numberOfUnits: 2677.392, currentValue: '5,167.37' },
            { investment: 'Threadneedle UK Index Linked (s2)', numberOfUnits: 3404.893, currentValue: '5,107.34' },
            { investment: 'Threadneedle UK Property AIF (s2)', numberOfUnits: 346.357, currentValue: '468.62' }
        ],
        breakdownMessageInfo: `<p>The current value of units shown assume that all premiums due prior to the date of the statement have been paid,
           and the current value is equal to the number of units multiplied by the bid price. It is used to determine the amount payable
            on death or retirement at your selected retirement date shown in the Policy Schedule. </p>`,

        // subInvestmentTitle2: `Fund Supermarket`,
        // valuationDate2: `13/11/2019`,
        // currentValue2: `£12,213.20`,

        // subInvestmentTitle3: `Insured Funds (LV TIP:P88800004)`,
        // valuationDate3: `29/12/2019`,
        // currentValue3: `£3,506.12`,
        consentMessage: `<p>The current value for assets is not guaranteed and may not take into account recrent requests to shell, invest or switch assets, 
                and is based on the valuation information supplied by the company listed.</p> `
        }), document.getElementById("opv-left-nav"));

      ReactDOM.render(React.createElement(Components.OpvRightNav, {
      title: `Need some help?`,
      content: `If you need some help logging on or have a query call one of our friendly agents on <strong>0800 XXX XXX</strong>`,
      cta:`<img src="../../dist/images/icon/icon-faq.svg" />`,
      faqTxt: `FAQ`,
      theme:{
          themeName:'cool-grey'
      },
      
      faqContent: `<h6>FAQ’s</h6>
          <p class="faq-subhead"><b>Registration</b></p>

          <p class="faq-copy"><b>Q.</b>How do I know if I have a Self Invested Personal Penson?</p>
          <p class="faq-copy ans"><b>A.</b></p>
          
          <p class="faq-copy"><b>Q.</b>What is a one-time access code and why do I need it?</p>
          <p class="faq-copy ans"><b>A.</b></p>

          <p class="faq-copy"><b>Q.</b>What is two-step verification and why do I need it?</p>
          <p class="faq-copy ans"><b>A.</b></p>

          <p class="faq-copy"><b>Q.</b> I don’t have a mobile phone number, can I still register?</p>
          <p class="faq-copy ans"><b>A.</b></p>

          <p class="faq-copy"><b>Q.</b> I no longer live in the UK, can I still register?</p>
          <p class="faq-copy ans"><b>A.</b></p>

          <p class="paraHeading"><b>Logged in</b></p>

          <p class="faq-copy"><b>Q.</b> What is a SIPP Bank Account?</p>
          <p class="faq-copy ans"><b>A.</b></p>
          <p class="faq-copy"><b>Q.</b> Why are the valuation dates of my funds different?</p>
          <p class="faq-copy ans"><b>A.</b></p>`
  }), document.getElementById('opv-right-nav'));
</script>
{% endblock %}       